import com.imsl.stat.*;
import com.imsl.math.*;

public class RandomEx1 implements CdfFunction {
    public double cdf(double x) {
        return Cdf.normal(x);
    }
    
    public static void main(String args[]) throws
    InverseCdf.DidNotConvergeException {
        int i,j;
        double tmp[][];
        int nObservations = 1000;
        Random r = new Random(123457L);
        ChiSquaredTest test =
        new ChiSquaredTest(new RandomEx1(), 10, 0);
        for (int k = 0;  k < nObservations;  k++) {
            test.update(r.nextNormal(), 1.0);
        }
        
        double p = test.getP();
        System.out.println("The P-value is "+p);
    }
}
